﻿<Controls:MetroWindow x:Class="LifenoteWPF.View.Settings"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:LifenoteWPF.View"
        mc:Ignorable="d"
        xmlns:Controls="http://metro.mahapps.com/winfx/xaml/controls"
        xmlns:Converters="http://metro.mahapps.com/winfx/xaml/shared"
        xmlns:metro="clr-namespace:MahApps.Metro;assembly=MahApps.Metro"
        RenderOptions.ClearTypeHint="Enabled"
        TextOptions.TextFormattingMode="Display"
        Title="SETTINGS"
        SizeToContent="WidthAndHeight"
        GlowBrush="{DynamicResource AccentColorBrush}"
        ResizeMode="CanResizeWithGrip">

    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto" />
            <RowDefinition Height="Auto" />
        </Grid.RowDefinitions>
        <GroupBox Grid.Row="0" Margin="5" Header="SET LANGUAGE">
            
        </GroupBox>
        <GroupBox Grid.Row="1" Margin="5" Header="SET THEME">
            <Grid>
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto" />
                    <RowDefinition Height="Auto" />
                    <RowDefinition Height="Auto" />
                </Grid.RowDefinitions>

                <UniformGrid Grid.Row="0"
                             Columns="5">
                    <Button Content="Custom Accent 1"/>
                    <Button Content="Custom Accent 2" />
                </UniformGrid>

                <UniformGrid Grid.Row="1" Margin="5" Columns="2" Rows="2">
                    <TextBlock Text="Themes" Margin="0 0 2 0" VerticalAlignment="Center" />
                    <TextBlock Text="Colors" Margin="2 0 0 0" VerticalAlignment="Center" />

                    <ComboBox x:Name="ThemeSelector"
                              Margin="0 0 2 0"
                              VerticalAlignment="Center"
                              SelectionChanged="AccentSelectionChanged"
                              ItemsSource="{x:Static metro:ThemeManager.AppThemes}">
                        <ComboBox.ItemTemplate>
                            <DataTemplate>
                                <TextBlock Text="{Binding Name}" />
                            </DataTemplate>
                        </ComboBox.ItemTemplate>
                    </ComboBox>

                    <ComboBox x:Name="ColorsSelector"
                              Margin="2 0 0 0"
                              VerticalAlignment="Center"
                              SelectionChanged="ColorsSelectorOnSelectionChanged"
                              ItemsSource="{Binding Colors}">
                        <ComboBox.ItemTemplate>
                            <DataTemplate>
                                <TextBlock Text="{Binding Key}" />
                            </DataTemplate>
                        </ComboBox.ItemTemplate>
                    </ComboBox>
                </UniformGrid>
                <UniformGrid Grid.Row="2"
                             Columns="5">

                </UniformGrid>
            </Grid>
        </GroupBox>

    </Grid>

</Controls:MetroWindow>
